<?php

declare(strict_types=1);

namespace PhpMyAdmin\SqlParser\Contexts;

use PhpMyAdmin\SqlParser\Context;
use PhpMyAdmin\SqlParser\Token;

/**
 * Context for MariaDB 10.11.
 *
 * This class was auto-generated from tools/contexts/*.txt.
 * Use tools/run_generators.sh for update.
 *
 * @see https://mariadb.com/kb/en/reserved-words/
 */
class ContextMariaDb101100 extends Context
{
    /**
     * List of keywords.
     *
     * The value associated to each keyword represents its flags.
     *
     * @see Token
     *
     * @var array<string,int>
     * @phpstan-var non-empty-array<non-empty-string,Token::FLAG_KEYWORD_*|int>
     */
    public static $KEYWORDS = [
        'ACCOUNT' => Token::FLAG_KEYWORD,
        'ACTION' => Token::FLAG_KEYWORD,
        'AFTER' => Token::FLAG_KEYWORD,
        'AGGREGATE' => Token::FLAG_KEYWORD,
        'ALGORITHM' => Token::FLAG_KEYWORD,
        'ALWAYS' => Token::FLAG_KEYWORD,
        'ANALYSE' => Token::FLAG_KEYWORD,
        'ANY' => Token::FLAG_KEYWORD,
        'AT' => Token::FLAG_KEYWORD,
        'AUTOEXTEND_SIZE' => Token::FLAG_KEYWORD,
        'AUTO_INCREMENT' => Token::FLAG_KEYWORD,
        'AVG_ROW_LENGTH' => Token::FLAG_KEYWORD,
        'BACKUP' => Token::FLAG_KEYWORD,
        'BEGIN' => Token::FLAG_KEYWORD,
        'BINLOG' => Token::FLAG_KEYWORD,
        'BLOCK' => Token::FLAG_KEYWORD,
        'BTREE' => Token::FLAG_KEYWORD,
        'BYTE' => Token::FLAG_KEYWORD,
        'CACHE' => Token::FLAG_KEYWORD,
        'CASCADED' => Token::FLAG_KEYWORD,
        'CATALOG_NAME' => Token::FLAG_KEYWORD,
        'CHAIN' => Token::FLAG_KEYWORD,
        'CHANGED' => Token::FLAG_KEYWORD,
        'CHANNEL' => Token::FLAG_KEYWORD,
        'CHECKSUM' => Token::FLAG_KEYWORD,
        'CIPHER' => Token::FLAG_KEYWORD,
        'CLASS_ORIGIN' => Token::FLAG_KEYWORD,
        'CLIENT' => Token::FLAG_KEYWORD,
        'CLOSE' => Token::FLAG_KEYWORD,
        'CODE' => Token::FLAG_KEYWORD,
        'COLUMNS' => Token::FLAG_KEYWORD,
        'COLUMN_FORMAT' => Token::FLAG_KEYWORD,
        'COLUMN_NAME' => Token::FLAG_KEYWORD,
        'COMMENT' => Token::FLAG_KEYWORD,
        'COMMIT' => Token::FLAG_KEYWORD,
        'COMMITTED' => Token::FLAG_KEYWORD,
        'COMPACT' => Token::FLAG_KEYWORD,
        'COMPLETION' => Token::FLAG_KEYWORD,
        'COMPRESSED' => Token::FLAG_KEYWORD,
        'COMPRESSION' => Token::FLAG_KEYWORD,
        'CONCURRENT' => Token::FLAG_KEYWORD,
        'CONNECTION' => Token::FLAG_KEYWORD,
        'CONSISTENT' => Token::FLAG_KEYWORD,
        'CONSTRAINT_CATALOG' => Token::FLAG_KEYWORD,
        'CONSTRAINT_NAME' => Token::FLAG_KEYWORD,
        'CONSTRAINT_SCHEMA' => Token::FLAG_KEYWORD,
        'CONTEXT' => Token::FLAG_KEYWORD,
        'CPU' => Token::FLAG_KEYWORD,
        'CUBE' => Token::FLAG_KEYWORD,
        'CURRENT' => Token::FLAG_KEYWORD,
        'CURSOR_NAME' => Token::FLAG_KEYWORD,
        'DATA' => Token::FLAG_KEYWORD,
        'DATAFILE' => Token::FLAG_KEYWORD,
        'DEALLOCATE' => Token::FLAG_KEYWORD,
        'DEFAULT_AUTH' => Token::FLAG_KEYWORD,
        'DEFINER' => Token::FLAG_KEYWORD,
        'DELAY_KEY_WRITE' => Token::FLAG_KEYWORD,
        'DES_KEY_FILE' => Token::FLAG_KEYWORD,
        'DIAGNOSTICS' => Token::FLAG_KEYWORD,
        'DIRECTORY' => Token::FLAG_KEYWORD,
        'DISABLE' => Token::FLAG_KEYWORD,
        'DISCARD' => Token::FLAG_KEYWORD,
        'DISK' => Token::FLAG_KEYWORD,
        'DO' => Token::FLAG_KEYWORD,
        'DUMPFILE' => Token::FLAG_KEYWORD,
        'DUPLICATE' => Token::FLAG_KEYWORD,
        'DYNAMIC' => Token::FLAG_KEYWORD,
        'ENABLE' => Token::FLAG_KEYWORD,
        'END' => Token::FLAG_KEYWORD,
        'ENDS' => Token::FLAG_KEYWORD,
        'ENGINE' => Token::FLAG_KEYWORD,
        'ENGINES' => Token::FLAG_KEYWORD,
        'ERROR' => Token::FLAG_KEYWORD,
        'ERRORS' => Token::FLAG_KEYWORD,
        'ESCAPE' => Token::FLAG_KEYWORD,
        'EVENT' => Token::FLAG_KEYWORD,
        'EVENTS' => Token::FLAG_KEYWORD,
        'EVERY' => Token::FLAG_KEYWORD,
        'EXCHANGE' => Token::FLAG_KEYWORD,
        'EXECUTE' => Token::FLAG_KEYWORD,
        'EXPANSION' => Token::FLAG_KEYWORD,
        'EXPIRE' => Token::FLAG_KEYWORD,
        'EXPORT' => Token::FLAG_KEYWORD,
        'EXTENDED' => Token::FLAG_KEYWORD,
        'EXTENT_SIZE' => Token::FLAG_KEYWORD,
        'FAST' => Token::FLAG_KEYWORD,
        'FAULTS' => Token::FLAG_KEYWORD,
        'FIELDS' => Token::FLAG_KEYWORD,
        'FILE' => Token::FLAG_KEYWORD,
        'FILE_BLOCK_SIZE' => Token::FLAG_KEYWORD,
        'FILTER' => Token::FLAG_KEYWORD,
        'FIRST' => Token::FLAG_KEYWORD,
        'FLUSH' => Token::FLAG_KEYWORD,
        'FOLLOWS' => Token::FLAG_KEYWORD,
        'FOUND' => Token::FLAG_KEYWORD,
        'FULL' => Token::FLAG_KEYWORD,
        'FUNCTION' => Token::FLAG_KEYWORD,
        'GENERAL' => Token::FLAG_KEYWORD,
        'GLOBAL' => Token::FLAG_KEYWORD,
        'GRANTS' => Token::FLAG_KEYWORD,
        'GROUP_REPLICATION' => Token::FLAG_KEYWORD,
        'HANDLER' => Token::FLAG_KEYWORD,
        'HASH' => Token::FLAG_KEYWORD,
        'HELP' => Token::FLAG_KEYWORD,
        'HOST' => Token::FLAG_KEYWORD,
        'HOSTS' => Token::FLAG_KEYWORD,
        'IDENTIFIED' => Token::FLAG_KEYWORD,
        'IGNORE_SERVER_IDS' => Token::FLAG_KEYWORD,
        'IMPORT' => Token::FLAG_KEYWORD,
        'INDEXES' => Token::FLAG_KEYWORD,
        'INITIAL_SIZE' => Token::FLAG_KEYWORD,
        'INSERT_METHOD' => Token::FLAG_KEYWORD,
        'INSTALL' => Token::FLAG_KEYWORD,
        'INVISIBLE' => Token::FLAG_KEYWORD,
        'INVOKER' => Token::FLAG_KEYWORD,
        'IO' => Token::FLAG_KEYWORD,
        'IO_THREAD' => Token::FLAG_KEYWORD,
        'IPC' => Token::FLAG_KEYWORD,
        'ISOLATION' => Token::FLAG_KEYWORD,
        'ISSUER' => Token::FLAG_KEYWORD,
        'KEY_BLOCK_SIZE' => Token::FLAG_KEYWORD,
        'LANGUAGE' => Token::FLAG_KEYWORD,
        'LAST' => Token::FLAG_KEYWORD,
        'LEAVES' => Token::FLAG_KEYWORD,
        'LESS' => Token::FLAG_KEYWORD,
        'LEVEL' => Token::FLAG_KEYWORD,
        'LIST' => Token::FLAG_KEYWORD,
        'LOCAL' => Token::FLAG_KEYWORD,
        'LOCKS' => Token::FLAG_KEYWORD,
        'LOGFILE' => Token::FLAG_KEYWORD,
        'LOGS' => Token::FLAG_KEYWORD,
        'MASTER' => Token::FLAG_KEYWORD,
        'MASTER_AUTO_POSITION' => Token::FLAG_KEYWORD,
        'MASTER_CONNECT_RETRY' => Token::FLAG_KEYWORD,
        'MASTER_DELAY' => Token::FLAG_KEYWORD,
        'MASTER_HEARTBEAT_PERIOD' => Token::FLAG_KEYWORD,
        'MASTER_HOST' => Token::FLAG_KEYWORD,
        'MASTER_LOG_FILE' => Token::FLAG_KEYWORD,
        'MASTER_LOG_POS' => Token::FLAG_KEYWORD,
        'MASTER_PASSWORD' => Token::FLAG_KEYWORD,
        'MASTER_PORT' => Token::FLAG_KEYWORD,
        'MASTER_RETRY_COUNT' => Token::FLAG_KEYWORD,
        'MASTER_SERVER_ID' => Token::FLAG_KEYWORD,
        'MASTER_SSL' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CA' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CAPATH' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CERT' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CIPHER' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CRL' => Token::FLAG_KEYWORD,
        'MASTER_SSL_CRLPATH' => Token::FLAG_KEYWORD,
        'MASTER_SSL_KEY' => Token::FLAG_KEYWORD,
        'MASTER_USER' => Token::FLAG_KEYWORD,
        'MAX_CONNECTIONS_PER_HOUR' => Token::FLAG_KEYWORD,
        'MAX_QUERIES_PER_HOUR' => Token::FLAG_KEYWORD,
        'MAX_ROWS' => Token::FLAG_KEYWORD,
        'MAX_SIZE' => Token::FLAG_KEYWORD,
        'MAX_STATEMENT_TIME' => Token::FLAG_KEYWORD,
        'MAX_UPDATES_PER_HOUR' => Token::FLAG_KEYWORD,
        'MAX_USER_CONNECTIONS' => Token::FLAG_KEYWORD,
        'MEDIUM' => Token::FLAG_KEYWORD,
        'MEMORY' => Token::FLAG_KEYWORD,
        'MERGE' => Token::FLAG_KEYWORD,
        'MESSAGE_TEXT' => Token::FLAG_KEYWORD,
        'MIGRATE' => Token::FLAG_KEYWORD,
        'MIN_ROWS' => Token::FLAG_KEYWORD,
        'MODE' => Token::FLAG_KEYWORD,
        'MODIFY' => Token::FLAG_KEYWORD,
        'MUTEX' => Token::FLAG_KEYWORD,
        'MYSQL_ERRNO' => Token::FLAG_KEYWORD,
        'NAME' => Token::FLAG_KEYWORD,
        'NAMES' => Token::FLAG_KEYWORD,
        'NATIONAL' => Token::FLAG_KEYWORD,
        'NCHAR' => Token::FLAG_KEYWORD,
        'NDB' => Token::FLAG_KEYWORD,
        'NDBCLUSTER' => Token::FLAG_KEYWORD,
        'NEVER' => Token::FLAG_KEYWORD,
        'NEW' => Token::FLAG_KEYWORD,
        'NEXT' => Token::FLAG_KEYWORD,
        'NO' => Token::FLAG_KEYWORD,
        'NODEGROUP' => Token::FLAG_KEYWORD,
        'NONBLOCKING' => Token::FLAG_KEYWORD,
        'NONE' => Token::FLAG_KEYWORD,
        'NO_WAIT' => Token::FLAG_KEYWORD,
        'NUMBER' => Token::FLAG_KEYWORD,
        'NVARCHAR' => Token::FLAG_KEYWORD,
        'ONE' => Token::FLAG_KEYWORD,
        'ONLY' => Token::FLAG_KEYWORD,
        'OPEN' => Token::FLAG_KEYWORD,
        'OPTIONS' => Token::FLAG_KEYWORD,
        'OWNER' => Token::FLAG_KEYWORD,
        'PACK_KEYS' => Token::FLAG_KEYWORD,
        'PAGE' => Token::FLAG_KEYWORD,
        'PARSER' => Token::FLAG_KEYWORD,
        'PARSE_GCOL_EXPR' => Token::FLAG_KEYWORD,
        'PARTIAL' => Token::FLAG_KEYWORD,
        'PARTITIONING' => Token::FLAG_KEYWORD,
        'PARTITIONS' => Token::FLAG_KEYWORD,
        'PASSWORD' => Token::FLAG_KEYWORD,
        'PERSISTENT' => Token::FLAG_KEYWORD,
        'PHASE' => Token::FLAG_KEYWORD,
        'PLUGIN' => Token::FLAG_KEYWORD,
        'PLUGINS' => Token::FLAG_KEYWORD,
        'PLUGIN_DIR' => Token::FLAG_KEYWORD,
        'PORT' => Token::FLAG_KEYWORD,
        'PRECEDES' => Token::FLAG_KEYWORD,
        'PREPARE' => Token::FLAG_KEYWORD,
        'PRESERVE' => Token::FLAG_KEYWORD,
        'PREV' => Token::FLAG_KEYWORD,
        'PRIVILEGES' => Token::FLAG_KEYWORD,
        'PROCESSLIST' => Token::FLAG_KEYWORD,
        'PROFILE' => Token::FLAG_KEYWORD,
        'PROFILES' => Token::FLAG_KEYWORD,
        'PROXY' => Token::FLAG_KEYWORD,
        'QUERY' => Token::FLAG_KEYWORD,
        'QUICK' => Token::FLAG_KEYWORD,
        'READ_ONLY' => Token::FLAG_KEYWORD,
        'REBUILD' => Token::FLAG_KEYWORD,
        'RECOVER' => Token::FLAG_KEYWORD,
        'REDOFILE' => Token::FLAG_KEYWORD,
        'REDO_BUFFER_SIZE' => Token::FLAG_KEYWORD,
        'REDUNDANT' => Token::FLAG_KEYWORD,
        'RELAY' => Token::FLAG_KEYWORD,
        'RELAYLOG' => Token::FLAG_KEYWORD,
        'RELAY_LOG_FILE' => Token::FLAG_KEYWORD,
        'RELAY_LOG_POS' => Token::FLAG_KEYWORD,
        'RELAY_THREAD' => Token::FLAG_KEYWORD,
        'RELOAD' => Token::FLAG_KEYWORD,
        'REMOVE' => Token::FLAG_KEYWORD,
        'REORGANIZE' => Token::FLAG_KEYWORD,
        'REPAIR' => Token::FLAG_KEYWORD,
        'REPEATABLE' => Token::FLAG_KEYWORD,
        'REPLICATE_DO_DB' => Token::FLAG_KEYWORD,
        'REPLICATE_DO_TABLE' => Token::FLAG_KEYWORD,
        'REPLICATE_IGNORE_DB' => Token::FLAG_KEYWORD,
        'REPLICATE_IGNORE_TABLE' => Token::FLAG_KEYWORD,
        'REPLICATE_REWRITE_DB' => Token::FLAG_KEYWORD,
        'REPLICATE_WILD_DO_TABLE' => Token::FLAG_KEYWORD,
        'REPLICATE_WILD_IGNORE_TABLE' => Token::FLAG_KEYWORD,
        'REPLICATION' => Token::FLAG_KEYWORD,
        'RESET' => Token::FLAG_KEYWORD,
        'RESTORE' => Token::FLAG_KEYWORD,
        'RESUME' => Token::FLAG_KEYWORD,
        'RETURNED_SQLSTATE' => Token::FLAG_KEYWORD,
        'RETURNS' => Token::FLAG_KEYWORD,
        'ROLLBACK' => Token::FLAG_KEYWORD,
        'ROLLUP' => Token::FLAG_KEYWORD,
        'ROUTINE' => Token::FLAG_KEYWORD,
        'ROW' => Token::FLAG_KEYWORD,
        'ROW_FORMAT' => Token::FLAG_KEYWORD,
        'RTREE' => Token::FLAG_KEYWORD,
        'SAVEPOINT' => Token::FLAG_KEYWORD,
        'SCHEDULE' => Token::FLAG_KEYWORD,
        'SCHEMA_NAME' => Token::FLAG_KEYWORD,
        'SECURITY' => Token::FLAG_KEYWORD,
        'SEQUENCE' => Token::FLAG_KEYWORD,
        'SERIALIZABLE' => Token::FLAG_KEYWORD,
        'SERVER' => Token::FLAG_KEYWORD,
        'SESSION' => Token::FLAG_KEYWORD,
        'SHARE' => Token::FLAG_KEYWORD,
        'SHUTDOWN' => Token::FLAG_KEYWORD,
        'SIGNED' => Token::FLAG_KEYWORD,
        'SIMPLE' => Token::FLAG_KEYWORD,
        'SLAVE' => Token::FLAG_KEYWORD,
        'SLOW' => Token::FLAG_KEYWORD,
        'SNAPSHOT' => Token::FLAG_KEYWORD,
        'SOCKET' => Token::FLAG_KEYWORD,
        'SOME' => Token::FLAG_KEYWORD,
        'SONAME' => Token::FLAG_KEYWORD,
        'SOUNDS' => Token::FLAG_KEYWORD,
        'SOURCE' => Token::FLAG_KEYWORD,
        'SQL_AFTER_GTIDS' => Token::FLAG_KEYWORD,
        'SQL_AFTER_MTS_GAPS' => Token::FLAG_KEYWORD,
        'SQL_BEFORE_GTIDS' => Token::FLAG_KEYWORD,
        'SQL_BUFFER_RESULT' => Token::FLAG_KEYWORD,
        'SQL_CACHE' => Token::FLAG_KEYWORD,
        'SQL_NO_CACHE' => Token::FLAG_KEYWORD,
        'SQL_THREAD' => Token::FLAG_KEYWORD,
        'SQL_TSI_DAY' => Token::FLAG_KEYWORD,
        'SQL_TSI_HOUR' => Token::FLAG_KEYWORD,
        'SQL_TSI_MINUTE' => Token::FLAG_KEYWORD,
        'SQL_TSI_MONTH' => Token::FLAG_KEYWORD,
        'SQL_TSI_QUARTER' => Token::FLAG_KEYWORD,
        'SQL_TSI_SECOND' => Token::FLAG_KEYWORD,
        'SQL_TSI_WEEK' => Token::FLAG_KEYWORD,
        'SQL_TSI_YEAR' => Token::FLAG_KEYWORD,
        'STACKED' => Token::FLAG_KEYWORD,
        'START' => Token::FLAG_KEYWORD,
        'STARTS' => Token::FLAG_KEYWORD,
        'STATS_AUTO_RECALC' => Token::FLAG_KEYWORD,
        'STATS_PERSISTENT' => Token::FLAG_KEYWORD,
        'STATS_SAMPLE_PAGES' => Token::FLAG_KEYWORD,
        'STATUS' => Token::FLAG_KEYWORD,
        'STOP' => Token::FLAG_KEYWORD,
        'STORAGE' => Token::FLAG_KEYWORD,
        'STRING' => Token::FLAG_KEYWORD,
        'SUBCLASS_ORIGIN' => Token::FLAG_KEYWORD,
        'SUBJECT' => Token::FLAG_KEYWORD,
        'SUBPARTITION' => Token::FLAG_KEYWORD,
        'SUBPARTITIONS' => Token::FLAG_KEYWORD,
        'SUPER' => Token::FLAG_KEYWORD,
        'SUSPEND' => Token::FLAG_KEYWORD,
        'SWAPS' => Token::FLAG_KEYWORD,
        'SWITCHES' => Token::FLAG_KEYWORD,
        'TABLES' => Token::FLAG_KEYWORD,
        'TABLESPACE' => Token::FLAG_KEYWORD,
        'TABLE_CHECKSUM' => Token::FLAG_KEYWORD,
        'TABLE_NAME' => Token::FLAG_KEYWORD,
        'TEMPORARY' => Token::FLAG_KEYWORD,
        'TEMPTABLE' => Token::FLAG_KEYWORD,
        'THAN' => Token::FLAG_KEYWORD,
        'TRANSACTION' => Token::FLAG_KEYWORD,
        'TRIGGERS' => Token::FLAG_KEYWORD,
        'TYPE' => Token::FLAG_KEYWORD,
        'TYPES' => Token::FLAG_KEYWORD,
        'UNCOMMITTED' => Token::FLAG_KEYWORD,
        'UNDEFINED' => Token::FLAG_KEYWORD,
        'UNDOFILE' => Token::FLAG_KEYWORD,
        'UNDO_BUFFER_SIZE' => Token::FLAG_KEYWORD,
        'UNICODE' => Token::FLAG_KEYWORD,
        'UNINSTALL' => Token::FLAG_KEYWORD,
        'UNKNOWN' => Token::FLAG_KEYWORD,
        'UNTIL' => Token::FLAG_KEYWORD,
        'UPGRADE' => Token::FLAG_KEYWORD,
        'USER_RESOURCES' => Token::FLAG_KEYWORD,
        'USE_FRM' => Token::FLAG_KEYWORD,
        'VALIDATION' => Token::FLAG_KEYWORD,
        'VARIABLES' => Token::FLAG_KEYWORD,
        'VIEW' => Token::FLAG_KEYWORD,
        'WAIT' => Token::FLAG_KEYWORD,
        'WARNINGS' => Token::FLAG_KEYWORD,
        'WITHOUT' => Token::FLAG_KEYWORD,
        'WORK' => Token::FLAG_KEYWORD,
        'WRAPPER' => Token::FLAG_KEYWORD,
        'WSREP_LAST_SEEN_GTID' => Token::FLAG_KEYWORD,
        'WSREP_LAST_WRITTEN_GTID' => Token::FLAG_KEYWORD,
        'WSREP_SYNC_WAIT_UPTO_GTID' => Token::FLAG_KEYWORD,
        'X509' => Token::FLAG_KEYWORD,
        'XA' => Token::FLAG_KEYWORD,
        'XID' => Token::FLAG_KEYWORD,
        'ACCESSIBLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ADD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ALL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ALTER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ANALYZE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'AND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'AS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ASC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ASENSITIVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'BEFORE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'BETWEEN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'BOTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CALL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CASCADE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CHANGE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CHECK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'COLLATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'COLUMN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CONDITION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CONSTRAINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CONTINUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CREATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CROSS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'CURSOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DATABASES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DAY_HOUR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DAY_MICROSECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DAY_MINUTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DAY_SECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DEC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DECLARE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DELAYED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DELETE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DESC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DESCRIBE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DETERMINISTIC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DISTINCT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DISTINCTROW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DIV' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DROP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'DUAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'EACH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ELSE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ELSEIF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ENCLOSED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ESCAPED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'EXCEPT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'EXIT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'EXPLAIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FALSE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FETCH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FORCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FOREIGN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'FROM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'GENERATED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'GET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'GRANT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'GROUP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'HAVING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'HIGH_PRIORITY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'HOUR_MICROSECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'HOUR_MINUTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'HOUR_SECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'IGNORE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INFILE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INNER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INOUT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INSENSITIVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INTERSECT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'INTO' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'IO_AFTER_GTIDS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'IO_BEFORE_GTIDS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'IS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ITERATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'KEYS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'KILL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LEADING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LEAVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LIKE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LIMIT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LINEAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LINES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LOAD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LOOP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'LOW_PRIORITY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MASTER_BIND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MASTER_SSL_VERIFY_SERVER_CERT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MAXVALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MINUTE_MICROSECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MINUTE_SECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'MODIFIES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'NATURAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'NOT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'NO_WRITE_TO_BINLOG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'NULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OFFSET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OPTIMIZE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OPTIMIZER_COSTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OPTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OPTIONALLY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ORDER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OUT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OUTER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OUTFILE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'OVER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'PARTITION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'PRECISION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'PRIMARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'PROCEDURE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'PURGE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RANGE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'READ' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'READS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'READ_WRITE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RECURSIVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'REFERENCES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'REGEXP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RELEASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RENAME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'REQUIRE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RESIGNAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RESTRICT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RETURN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'REVOKE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'RLIKE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ROWS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SCHEMAS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SECOND_MICROSECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SELECT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SENSITIVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SEPARATOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SHOW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SIGNAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SPECIFIC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQLEXCEPTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQLSTATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQLWARNING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQL_BIG_RESULT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQL_CALC_FOUND_ROWS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SQL_SMALL_RESULT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'SSL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'STARTING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'STORED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'STRAIGHT_JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TABLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TERMINATED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'THEN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TO' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TRAILING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TRIGGER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'TRUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'UNDO' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'UNION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'UNLOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'UNSIGNED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'UPDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'USAGE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'USE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'USING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'VARCHARACTER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'VARYING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'VIRTUAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'WHEN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'WHERE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'WHILE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'WITH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'WRITE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'XOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'YEAR_MONTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'ZEROFILL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED,
        'AND CHAIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'AND NO CHAIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'CHARACTER SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'COALESCE PARTITION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'CONTAINS SQL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'CROSS JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'DATA DIRECTORY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'DEFAULT CHARACTER SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'DEFAULT CHARSET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'DEFAULT COLLATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'DISABLE ON SLAVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ENCLOSED BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ESCAPED BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'FOR EACH ROW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'FOR UPDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'FULL JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'FULL OUTER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'GENERATED ALWAYS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'GROUP BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'IF EXISTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'IF NOT EXISTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'INDEX DIRECTORY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'INNER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LANGUAGE SQL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LEFT JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LEFT OUTER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LESS THAN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LINEAR HASH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LINEAR KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LOAD DATA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'LOCK IN SHARE MODE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'MODIFIES SQL DATA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NATURAL JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NATURAL LEFT JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NATURAL LEFT OUTER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NATURAL RIGHT JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NATURAL RIGHT OUTER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NO ACTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NO RELEASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NO SQL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'NOT NULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ON COMPLETION NOT PRESERVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ON COMPLETION PRESERVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ON DELETE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ON SCHEDULE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ON UPDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'OR REPLACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ORDER BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'PARTITION BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'READS SQL DATA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'RIGHT JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'RIGHT OUTER JOIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'SELECT TRANSACTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'SET NULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'SET PASSWORD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'SQL SECURITY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'START TRANSACTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'STARTING BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'SUBPARTITION BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'TERMINATED BY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'UNION ALL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'UNION DISTINCT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'WITH CONSISTENT SNAPSHOT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'WITH ROLLUP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED,
        'ARRAY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'BIT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'BOOL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'BOOLEAN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'DATETIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'ENUM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'FIXED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'GEOMETRY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'JSON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'MULTILINEPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'MULTILINEPOLYGON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'MULTISET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'SERIAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'TEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'XML' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE,
        'BIGINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'BLOB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'CHARACTER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'DECIMAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'DOUBLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'FLOAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'FLOAT4' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'FLOAT8' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT1' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT2' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT3' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT4' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INT8' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'INTEGER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'LONG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'LONGBLOB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'LONGTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'MEDIUMBLOB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'MEDIUMINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'MEDIUMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'MIDDLEINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'NUMERIC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'REAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'SMALLINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'TINYBLOB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'TINYINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'TINYTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'VARBINARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'VARCHAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE,
        'BINARY VARYING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_DATA_TYPE,
        'CHARACTER VARYING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_DATA_TYPE,
        'LONG VARBINARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_DATA_TYPE,
        'LONG VARCHAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_DATA_TYPE,
        'FULLTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_KEY,
        'INDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_KEY,
        'KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_KEY,
        'SPATIAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_KEY,
        'UNIQUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_KEY,
        'FOREIGN KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'FULLTEXT INDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'FULLTEXT KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'IDENTIFIED VIA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'IDENTIFIED WITH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'INDEX KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'PRIMARY KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'SPATIAL INDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'SPATIAL KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'UNIQUE INDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'UNIQUE KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_KEY,
        'ABS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ACOS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ADDDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ADDTIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ADD_MONTHS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'AES_DECRYPT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'AES_ENCRYPT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'AGAINST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'AREA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASBINARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASCII' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ASWKT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ATAN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ATAN2' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'AVG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BENCHMARK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BINLOG_GTID_POS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIT_AND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIT_COUNT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIT_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIT_OR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BIT_XOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BOUNDARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'BUFFER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAN_ACCESS_COLUMN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAN_ACCESS_DATABASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAN_ACCESS_TABLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAN_ACCESS_USER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAN_ACCESS_VIEW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CAST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CEIL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CEILING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CENTROID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CHARACTER_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CHARSET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CHAR_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CHR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COALESCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COERCIBILITY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLLATION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_ADD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_CHECK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_CREATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_DELETE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_EXISTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_GET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_JSON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COLUMN_LIST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COMPRESS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONCAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONCAT_WS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONNECTION_ID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONTAINS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONV' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONVERT_TZ' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONVEXHULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'COUNT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CRC32' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CRC32C' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CROSSES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CUME_DIST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CURDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CURRENT_ROLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CURTIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DATEDIFF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DATE_ADD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DATE_FORMAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DATE_SUB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DAY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DAYNAME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DAYOFMONTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DAYOFWEEK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DAYOFYEAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DECODE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DECODE_HISTOGRAM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DECODE_ORACLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DEGREES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DENSE_RANK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DES_DECRYPT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DES_ENCRYPT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DIMENSION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DISJOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'DISTANCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ELT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ENDPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ENVELOPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EQUALS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EXP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EXPORT_SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EXTERIORRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EXTRACT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'EXTRACTVALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FIELD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FIND_IN_SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FIRST_VALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FLOOR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FORMAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FOUND_ROWS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FROM_BASE64' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FROM_DAYS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'FROM_UNIXTIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMCOLLECTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMCOLLFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMCOLLFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYCOLLECTIONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYCOLLECTIONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYTYPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GET_DD_COLUMN_PRIVILEGES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GET_DD_CREATE_OPTIONS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GET_DD_INDEX_SUB_PART_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GET_FORMAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GET_LOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GLENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GREATEST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'GROUP_CONCAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'HEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'HOUR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ICU_VERSION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IFNULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INET6_ATON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INET6_NTOA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INET_ATON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INET_NTOA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INSTR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERIORRINGN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_AUTO_INCREMENT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_AVG_ROW_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_CHECKSUM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_CHECK_TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_DATA_FREE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_DATA_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_DD_CHAR_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_GET_COMMENT_OR_ERROR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_GET_ENABLED_ROLE_JSON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_GET_HOSTNAME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_GET_USERNAME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_GET_VIEW_WARNING_OR_ERROR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_INDEX_COLUMN_CARDINALITY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_INDEX_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_IS_ENABLED_ROLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_IS_MANDATORY_ROLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_KEYS_DISABLED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_MAX_DATA_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_TABLE_ROWS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERNAL_UPDATE_TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'INTERSECTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ISCLOSED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ISEMPTY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ISNULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ISRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ISSIMPLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_FREE_LOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_IPV4' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_IPV4_COMPAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_IPV4_MAPPED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_IPV6' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'IS_USED_LOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_ARRAY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_ARRAYAGG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_ARRAY_APPEND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_ARRAY_INSERT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_COMPACT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_CONTAINS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_CONTAINS_PATH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_DEPTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_DETAILED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_EQUALS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_EXISTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_EXTRACT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_INSERT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_KEYS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_LOOSE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_MERGE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_MERGE_PATCH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_MERGE_PRESERVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_NORMALIZE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_OBJECT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_OBJECTAGG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_OVERLAPS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_PRETTY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_QUERY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_QUOTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_REMOVE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_REPLACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_SEARCH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_TABLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_TYPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_UNQUOTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_VALID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'JSON_VALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LAG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LASTVAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LAST_DAY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LAST_INSERT_ID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LAST_VALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LCASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LEAD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LEAST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LENGTHB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LINEFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LINEFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LINESTRINGFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LINESTRINGFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOAD_FILE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOCATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOG' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOG10' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOG2' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LOWER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LPAD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'LTRIM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MAKEDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MAKETIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MAKE_SET' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MASTER_GTID_WAIT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MASTER_POS_WAIT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MAX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRCONTAINS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRCOVERS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRDISJOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBREQUALS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRINTERSECTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBROVERLAPS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRTOUCHES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MBRWITHIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MD5' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MEDIAN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MICROSECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MINUTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MLINEFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MLINEFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MONTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MONTHNAME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MPOINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MPOINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MPOLYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MPOLYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTILINESTRINGFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTILINESTRINGFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOLYGONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOLYGONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NAME_CONST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NATURAL_SORT_KEY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NEXTVAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NOW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NTH_VALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NTILE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NULLIF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NUMGEOMETRIES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NUMINTERIORRINGS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NUMPOINTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NVL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'NVL2' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'OCT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'OCTET_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'OLD_PASSWORD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ORD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'OVERLAPS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PERCENTILE_CONT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PERCENTILE_DISC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PERCENT_RANK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PERIOD_ADD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PERIOD_DIFF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'PI' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POINTN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POINTONSURFACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POLYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POLYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POLYGONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POLYGONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POSITION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POW' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'POWER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'QUARTER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'QUOTE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RADIANS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RAND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RANDOM_BYTES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RANK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'REGEXP_INSTR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'REGEXP_REPLACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'REGEXP_SUBSTR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RELEASE_ALL_LOCKS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RELEASE_LOCK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'REVERSE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ROLES_GRAPHML' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ROUND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ROW_COUNT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RPAD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'RTRIM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SECOND' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SEC_TO_TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SESSION_USER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SETVAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SFORMAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SHA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SHA1' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SHA2' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SIGN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SLEEP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SOUNDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SPACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SQRT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SRID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STARTPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STATEMENT_DIGEST' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STATEMENT_DIGEST_TEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STDDEV' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STDDEV_POP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STDDEV_SAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STRCMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'STR_TO_DATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_AREA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ASBINARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ASGEOJSON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ASTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ASWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ASWKT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_BOUNDARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_BUFFER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_CENTROID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_CONTAINS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_CONVEXHULL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_CROSSES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_DIFFERENCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_DIMENSION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_DISJOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_DISTANCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_DISTANCE_SPHERE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ENDPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ENVELOPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_EQUALS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_EXTERIORRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMCOLLFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMCOLLFROMTXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMCOLLFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYCOLLECTIONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYCOLLECTIONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMETRYTYPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMFROMGEOJSON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_GEOMFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_INTERIORRINGN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_INTERSECTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_INTERSECTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ISCLOSED' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ISEMPTY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ISRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_ISSIMPLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_LINEFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_LINEFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_LINESTRINGFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_LINESTRINGFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MAKEENVELOPE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MLINEFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MLINEFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MPOINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MPOINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MPOLYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MPOLYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTILINESTRINGFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTILINESTRINGFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTIPOINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTIPOINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTIPOLYGONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_MULTIPOLYGONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_NUMGEOMETRIES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_NUMINTERIORRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_NUMINTERIORRINGS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_NUMPOINTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_OVERLAPS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POINTFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POINTFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POINTN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POINTONSURFACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POLYFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POLYFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POLYGONFROMTEXT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_POLYGONFROMWKB' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_SRID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_STARTPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_SWAPXY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_SYMDIFFERENCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_TOUCHES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_TRANSFORM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_UNION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_WITHIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_X' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'ST_Y' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUBDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUBSTR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUBSTRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUBSTRING_INDEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUBTIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SUM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SYSDATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SYSTEM_USER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'SYS_GUID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TAN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TIMEDIFF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TIMESTAMPADD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TIMESTAMPDIFF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TIME_FORMAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TIME_TO_SEC' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TOUCHES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TO_BASE64' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TO_CHAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TO_DAYS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TO_SECONDS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TRIM' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TRIM_ORACLE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'TRUNCATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UCASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UNCOMPRESS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UNCOMPRESSED_LENGTH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UNHEX' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UNIX_TIMESTAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UPDATEXML' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UPPER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'USER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UUID' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'UUID_SHORT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'VALUE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'VARIANCE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'VAR_POP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'VAR_SAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'VERSION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'WEEK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'WEEKDAY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'WEEKOFYEAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'WEIGHT_STRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'WITHIN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'X' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'Y' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'YEARWEEK' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_FUNCTION,
        'CONVERT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'CURRENT_DATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'CURRENT_TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'CURRENT_TIMESTAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'CURRENT_USER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'DATABASE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'DEFAULT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'EXISTS' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'IF' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'IN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'INSERT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'LEFT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'LOCALTIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'LOCALTIMESTAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'MATCH' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'MOD' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'REPEAT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'REPLACE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'RIGHT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'ROW_NUMBER' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'SCHEMA' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'UTC_DATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'UTC_TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'UTC_TIMESTAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'VALUES' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_FUNCTION,
        'NOT IN' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_COMPOSED | Token::FLAG_KEYWORD_FUNCTION,
        'DATE' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'GEOMETRYCOLLECTION' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'LINESTRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'MULTILINESTRING' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'MULTIPOLYGON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'POINT' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'POLYGON' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'TIME' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'TIMESTAMP' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'YEAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'BINARY' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'CHAR' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
        'INTERVAL' => Token::FLAG_KEYWORD | Token::FLAG_KEYWORD_RESERVED | Token::FLAG_KEYWORD_DATA_TYPE | Token::FLAG_KEYWORD_FUNCTION,
    ];
}
